Subject: bug#18937: closed (Re: bug#18937: chmod ???? bug?)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Nov 2014 22:14:02 +0000

Your bug report

#18937: chmod ???? bug?

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18937: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18937
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18937: chmod ???? bug?
From: Paul Eggert <[email-masked]>
To: Plato <[email-masked]>, [email-masked]
Date: Mon, 03 Nov 2014 14:13:08 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/03/2014 10:26 AM, Plato wrote:
> chmod -R 644/media/plato/mountedpartition/

The behavior you observe is what I'd expect once the permissions on 
directories are messed up. To fix it, try "chmod -R 
+X/media/plato/mountedpartition/" as root.

Subject: chmod ???? bug?
From: Plato <[email-masked]>
To: [email-masked]
Date: Mon, 3 Nov 2014 19:26:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

After using chmod
	chmod -R 644 /media/plato/mountedpartition/	(I see I forgot the * at the end)
my
	ls -l
listing has all entry's like these:
	First a list like this of every file and folder
		ls: cannot access /media/plato/mountedpartition/justafiile.txt: Permission denied
	Then one time
		total 0
	Folowed by
		-????????? ? ? ? ?            ? justafile.txt
		d????????? ? ? ? ?            ? Files
	One example of a file and one of a directory

If I do
	ls Files
I get
	ls: cannot access /media/plato/mountedpartition/Files: Permission denied
When I do
	sudo ls Files
I get a listing of the contents of files as expected.

Is this a bug?
It was not my intention to get this. I do not know how to get it back to what it was.
I tried it on a single file with
	chmod 644 justafile.txt
but that did not solve it. Any ideas?

Thanks for maintaining chmod
-- 
With kind regards,

Plato